using System;

namespace Ekskurzija_takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            long[,] x = new long[t, 3];
            for (int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                x[i, 0] = long.Parse(s[0]);
                x[i, 1] = long.Parse(s[1]);
                x[i, 2] = long.Parse(s[2]);
            }
            for (int i = 0; i < t; i++)
            {
                long n = x[i, 0];
                long m = x[i, 1];
                long k = x[i, 2];
                long a = 0;
                for (int j = 1; j <= n / k; j++)
                {
                    a += k * j;
                }
                if (n % k != 0)
                {
                    a += n % k * ((n / k) + 1);
                }
                m -= a;
                if (m >= 0)
                {
                    Console.WriteLine("Tak");
                }
                else
                {
                    Console.WriteLine("Nie");
                }
            }
        }
    }
}